Bug 1008053 - Restore documentation doesn't reflect ability to specify filename
Restore documentation doesn't reflect ability to specify filename
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Documentation (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: brice
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 20:44 EDT by Naveen Malik
Modified: 2015-07-19 20:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.12 Build Name: 18397, User Guide-null-1.0 Build Date: 29-08-2013 13:11:27 Topic ID: 18396-499812 [Latest]
Last Closed: 2013-10-17 09:28:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Naveen Malik 2013-09-13 20:44:31 EDT
Title: Restoring Application Snapshots

Describe the issue:
Documentation states:

"Even though you can save your application using a different filename, you cannot restore that application to a different name. That is, if your application name is "MyApp", you can save it as OurApp.tar.gz, but when you restore it you must use the original application name. "

But the next section "8.3. Migrating an Application to Another Gear" shows an example where you can specify the filename on a restore:

"rhc snapshot restore phpapp -f phpapp.tar.gz"

Suggestions for improvement:
Update restore documentation to note ability of specifying any filename for restoration.


Additional information:
Usage: rhc snapshot-restore <application> [--filepath FILE]

Restores a previously saved snapshot


Options
  -n, --namespace NAME      Namespace of the application you are restoring a snapshot
  -f, --filepath FILE       Local path to restore tarball
  -a, --app NAME            Application of which you are restoring a snapshot

Global Options
  -l, --rhlogin LOGIN       OpenShift login
  -p, --password PASSWORD   OpenShift password
  --token TOKEN             An authorization token for accessing your account.
  --server NAME             An OpenShift server hostname (default: openshift.redhat.com)
  --timeout SECONDS         The timeout for operations

  See 'rhc help options' for a full list of global options.

Note You need to log in before you can comment on or make changes to this bug.